Package org.rexxla.bsf.engines.rexx

# Enum Class RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum

java.lang.Object
java.lang.Enum<RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum>
org.rexxla.bsf.engines.rexx.RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum>`, `Constable`

Enclosing class:
  RexxScriptEngine.RexxAnnotation

public static enum RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum extends Enum<RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum>
The currently supported Rexx script annotation names need to be led in with an at (@) character, the name of the annotation and if values are supplied with it, then they must be given within parenthesis immediately following the annotation name.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GET`
  `SET`
  `SHOWSOURCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHOWSOURCE

    public static final RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum SHOWSOURCE

  - ### GET

    public static final RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum GET

  - ### SET

    public static final RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum SET

- ## Method Details

  - ### values

    public static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RexxScriptEngine.RexxAnnotation.RexxAnnotationEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null